import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Botdcr{
    constructor () {
        this.data = {
						bodgrp:{
							rec:{
								matpertyp:"",			//  Days/Months or Years for Maturity Period		.bodgrp.rec.matpertyp
								ownref:"",			//  Reference		.bodgrp.rec.ownref
								nam:"",			//  Name		.bodgrp.rec.nam
								doctypcod:"",			//  Collection Condition		.bodgrp.rec.doctypcod
								docsta:"",			//  Document Set Status		.bodgrp.rec.docsta
								matdat:"",			//  Maturity Date		.bodgrp.rec.matdat
								matpercnt:"",			//  Tenor Specification		.bodgrp.rec.matpercnt
								matperbeg:"",			//  Start of Maturity Period MATBEG		.bodgrp.rec.matperbeg
								rcvdat:"",			//  Order Date		.bodgrp.rec.rcvdat
								predat:"",			//  Presentation Date		.bodgrp.rec.predat
								chato:"",			//  Our Charges to		.bodgrp.rec.chato
								focflg:"",			//  Free of Payment		.bodgrp.rec.focflg
								waicolcod:"",			//  Protest Instructions		.bodgrp.rec.waicolcod
								wairmtcod:"",			//  Waive Remitting Bank Charges		.bodgrp.rec.wairmtcod
								othins:"",			//  Defer Payment until		.bodgrp.rec.othins
								lescom:"",			//  Warehouse/Insurance		.bodgrp.rec.lescom
							},
							cbs:{
								max:{
									cur:"",			//  Document Amount		.bodgrp.cbs.max.cur
									amt:"",			//  Document Amount		.bodgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Warehouse/Insurance		.bodgrp.cbs.opn1.cur
									amt:"",			//  Open Amount		.bodgrp.cbs.opn1.amt
								},
							},
							drr:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bodgrp.drr.namelc
								adrelc:"",			//  地址		.bodgrp.drr.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bodgrp.drr.dbfadrblkcn
							},
							col:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bodgrp.col.namelc
								adrelc:"",			//  地址		.bodgrp.col.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bodgrp.col.dbfadrblkcn
							},
							dre:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bodgrp.dre.namelc
								adrelc:"",			//  地址		.bodgrp.dre.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bodgrp.dre.dbfadrblkcn
							},
							blk:{
								resrej:"",			//  Reason for Non-Payment/Non-Acceptance		.bodgrp.blk.resrej
								colins:"",			//  Collection Instructions		.bodgrp.blk.colins
								colinsflg:"",			//  Collection instructions modified		.bodgrp.blk.colinsflg
								dftins:"",			//  Draft Instructions		.bodgrp.blk.dftins
								proins:"",			//  Protest Instructions		.bodgrp.blk.proins
								othins:"",			//  Other Instructions		.bodgrp.blk.othins
								chgtxt:"",			//  Charges Text		.bodgrp.blk.chgtxt
								delins:"",			//  Delivery instructions		.bodgrp.blk.delins
							},
						},
						botp:{
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.botp.recget.sdamod.dadsnd
									seainf:"",			//  		.botp.recget.sdamod.seainf
								},
							},
							matp:{
								mattxtlab:"",			//  Label for MATTXT		.botp.matp.mattxtlab
							},
							docgrdm:{
								docdsclab:"",			//  Label of document description		.botp.docgrdm.docdsclab
							},
							drrp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.botp.drrp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.botp.drrp.ptsget.sdamod.dadsnd
									},
								},
							},
							colp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.botp.colp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.botp.colp.ptsget.sdamod.dadsnd
									},
								},
							},
							drep:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.botp.drep.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.botp.drep.ptsget.sdamod.dadsnd
									},
								},
							},
							ptsaddp:{
								ptsaddg:[],			//  		.botp.ptsaddp.ptsaddg
							},
						},
						rejtypsel:"",			//  		.rejtypsel
						mtabut:{
							clsflg:"",			//  Close Flag		.mtabut.clsflg
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
						},
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
							},
						},
						pageId: ""			// ctx的key
				}
    }
}