import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Infbfd{
    constructor () {
        this.data = {
						infcon:{
							seaownref:"",			//  Own Reference		.infcon.seaownref
							nam:"",			//  Name		.infcon.nam
							searef:"",			//  Party Reference		.infcon.searef
							pty:{
								extkey:"",			//  Select Single Party		.infcon.pty.extkey
								nam:"",			//  External Visible Name		.infcon.pty.nam
							},
							seapty:"",			//  Party Name/BIC		.infcon.seapty
							searol:"",			//  Role		.infcon.searol
							opndatfrom:"",			//  Opening between		.infcon.opndatfrom
							opndatto:"",			//  Open Date to		.infcon.opndatto
							usr:{
								extkey:"",			//  User ID		.infcon.usr.extkey
							},
							seasta:"",			//  Status		.infcon.seasta
							seacur:"",			//  Currency		.infcon.seacur
							seaamtfr:"",			//  Amount between		.infcon.seaamtfr
							seaamtto:"",			//  Amount to		.infcon.seaamtto
							relflg:"",			//  Release Status		.infcon.relflg
							cxmflg:"",			//  是否显示查询码		.infcon.cxmflg
							hndtyp:"",			//  Handling Type		.infcon.hndtyp
							forflg:"",			//  转卖单据		.infcon.forflg
							chksubcon:"",			//  incl. all subcontracts		.infcon.chksubcon
							chktrnsta:"",			//  only active transactions		.infcon.chktrnsta
							trnstm:"",			//  stream for TRN to selected contract		.infcon.trnstm
							cbctxt:"",			//  CBS Column		.infcon.cbctxt
							cbbstm:"",			//  stream of CBBs		.infcon.cbbstm
							cbestm:"",			//  stream of CBEs		.infcon.cbestm
							feptxtlbl:"",			//  label used on FEP-Panel		.infcon.feptxtlbl
							fcptxtlbl:"",			//  Text label used on FCP-panel		.infcon.fcptxtlbl
							fepfeecod:"",			//  Fee Code		.infcon.fepfeecod
							fepdsp:"",			//  Disposition		.infcon.fepdsp
							fepstm:"",			//  stream for FEPs to selected contract		.infcon.fepstm
							fcpstm:"",			//  stream of foreign charges		.infcon.fcpstm
							fcpdsp:"",			//  Disposition		.infcon.fcpdsp
							setflg:"",			//  show temporary settlement that already settled		.infcon.setflg
							sepdelflg:"",			//  show temporary settlement that already deleted		.infcon.sepdelflg
							sepstm:"",			//  stream of SEPs		.infcon.sepstm
							seabucdatfro:"",			//  Booking date from		.infcon.seabucdatfro
							seabucdatto:"",			//  Booking date till used on GLEINFP		.infcon.seabucdatto
							seatrninr:"",			//  Transaction INR		.infcon.seatrninr
							glestm:"",			//  Stream of GLEs		.infcon.glestm
							smhcortyp:"",			//  Type of Document		.infcon.smhcortyp
							smhdatfrom:"",			//  Created between 		.infcon.smhdatfrom
							smhdatto:"",			//  created till		.infcon.smhdatto
							smhdir:"",			//  Direction		.infcon.smhdir
							chktrn:"",			//  Active only		.infcon.chktrn
							smhstm:"",			//  stream of documents to selected contract		.infcon.smhstm
							sptinc:"",			//  Incoming		.infcon.sptinc
							sptreg:"",			//  Registered		.infcon.sptreg
							sptpen:"",			//  Pending		.infcon.sptpen
							sptcor:"",			//  Correction		.infcon.sptcor
							sptdel:"",			//  Deleted		.infcon.sptdel
							sptstm:"",			//  stream for SPT to selected contract		.infcon.sptstm
							diadatfrom:"",			//  Date from		.infcon.diadatfrom
							diadatto:"",			//  date till		.infcon.diadatto
							diasta:"",			//  Status		.infcon.diasta
							diastm:"",			//  stream for diaries to selected contract		.infcon.diastm
							liastm:"",			//  Stream for all engagements to selected contract		.infcon.liastm
							ordstm:"",			//  Stream for Orders for Contract		.infcon.ordstm
						},
						seadoctypcod:"",			//  Document Type		.seadoctypcod
						infbut:{
							dspstm:"",			//  display stream		.infbut.dspstm
						},
						elcflg:"",			//  是否通过电证系统		.elcflg
						recpan:{
							dedget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.recpan.dedget.sdamod.dadsnd
									seainf:"",			//  		.recpan.dedget.sdamod.seainf
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.recpan.recget.sdamod.dadsnd
									seainf:"",			//  		.recpan.recget.sdamod.seainf
								},
							},
						},
						dedgrp:{
							rec:{
								ownref:"",			//  参考号		.dedgrp.rec.ownref
								kzref:"",			//  信用证编号		.dedgrp.rec.kzref
							},
							cbs:{
								opn1:{
									cur:"",			//  Currency		.dedgrp.cbs.opn1.cur
									amt:"",			//  Balance		.dedgrp.cbs.opn1.amt
								},
							},
						},
						bfdgrp:{
							rec:{
								ownref:"",			//  单据参考号		.bfdgrp.rec.ownref
								doctypcod:"",			//  单据类型		.bfdgrp.rec.doctypcod
								matdat:"",			//  远期单据到期日		.bfdgrp.rec.matdat
								rcvdat:"",			//  到单日期		.bfdgrp.rec.rcvdat
								predat:"",			//  Presentation Date		.bfdgrp.rec.predat
								docsta:"",			//  单据状态		.bfdgrp.rec.docsta
								nam:"",			//  Externally Displayed Name to Identify the Contract		.bfdgrp.rec.nam
							},
							cbs:{
								max:{
									cur:"",			//  单据金额		.bfdgrp.cbs.max.cur
									amt:"",			//  单据金额		.bfdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  单据余额		.bfdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.bfdgrp.cbs.opn1.amt
								},
							},
							prb:{
								pts:new Pts().data,
							},
							iss:{
								pts:new Pts().data,
							},
							apl:{
								pts:new Pts().data,
							},
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						prtpanblk:"",			//  XMLPanel prtpan的内置block		.prtpanblk
						pageId: ""			// ctx的key
				}
    }
}